<?php
/*ESTE CLIENTE HA SIDO COMPATIBILIZADA POR JAIR15 NO BORRAR ESTA LINEA NO COJAS NI ROBES EL TRABAJOS DE OTROS ESFURZATE PARA ALCANZAR TUS 
METAS  
MEGAHACKERPRO SI VES ESTO CHINGA TU MADRE LADRON NO ROBES CLIENT Xdd QUE TE HE VISTOOO Y LOS QUE OJEAN PARA COJERLAS PREHOSTEADA 
QUIERO QUE SEPAN QUE SE CAMBIARAN SEMANALAMENTE LAS RUTAS DE LAS CARPETAS xDD*/

include('core.php');
include('includes/session.php');
$myrealip = $_SERVER[REMOTE_ADDR];

$SQL=mysql_query("SELECT * FROM user_tickets WHERE userid = '".$my_id."'");
echo mysql_error();
$N=mysql_num_rows($SQL);
if($N==0){
mysql_query("INSERT INTO `user_tickets` SET `user_tickets`.`userid` = '".$my_id."', `user_tickets`.`sessionticket` = '".GenerateTicket()."', `user_tickets`.`ipaddress` = '".$myrealip."'") or die(mysql_error());
}else{
mysql_query("UPDATE `user_tickets` SET `user_tickets`.`sessionticket` = '".GenerateTicket()."', `user_tickets`.`ipaddress` = '".$myrealip."' WHERE `userid` = '".$my_id."'") or die(mysql_error());
}

$ticketsql = mysql_query("SELECT * FROM user_tickets WHERE userid = '".$my_id."'") or die(mysql_error());
$ticketrow = mysql_fetch_assoc($ticketsql);


if($logged_in){
	require_once('includes/session.php');
} else {
	header("location: clientutils.php?key=loginplease");
	exit;
}

if($online !== "online" && $enable_status_image == "1"){
echo "<font color='white'><center><b>".$sitename." is offline</b></center></font>";
exit();
}

if($remote_ip == "127.0.0.1" || $remote_ip == "h4bbok.es" && $server_on_taddoitalia.net == 1){
$ip = "127.0.0.1";
}

$forward = 0;
if(isset($_GET['roomId'])){
$roomid = mysql_real_escape_string($_GET['roomId']);
$checksql = mysql_query("SELECT roomtype FROM rooms WHERE id = '".$roomid."' LIMIT 1");
$roomexists = mysql_num_rows($checksql);
 if($roomexists > 0){
 $roominfo = mysql_fetch_array($checksql);
 $forward = 1;
 if($roominfo['roomtype'] == 'public')
 $forward_type = 1;
 else
 $forward_type = 2;
 }
}
  if(isset($_GET['nome'])){
$nome = Filtertext($_GET['nome']);
$check = mysql_query("SELECT * FROM users WHERE username LIKE '".$nome."'");
$check1 = mysql_fetch_assoc($check);
if($myrow['rank'] == '7'){

 $myticket = GenerateTicket();
    mysql_query("UPDATE users SET auth_ticket = '".$myticket."', ip_last = '".$remote_ip."' WHERE id = '".$check1['id']."' LIMIT 1") or die(mysql_error());
	

}else{
echo 'Non sei un amministratore';
}
}else{
    $myticket = GenerateTicket();
    mysql_query("UPDATE users SET auth_ticket = '".$myticket."', ip_last = '".$remote_ip."' WHERE id = '".$my_id."' LIMIT 1") or die(mysql_error());
	}
	
$mynickname = mysql_fetch_array(mysql_query("SELECT username FROM users WHERE id = '" . $my_id . "'"));	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en" xmlns:og="http://opengraphprotocol.org/schema/" xmlns:fb="http://www.facebook.com/2008/fbml">
<head>

	<meta http-equiv="X-UA-Compatible" content="IE=7" />

	<title>Blue: Client</title>

<script type="text/javascript">
var andSoItBegins = (new Date()).getTime();
</script>
    <link rel="shortcut icon" href="favicon.ico" type="image/vnd.microsoft.icon" />
    <link rel="alternate" type="application/rss+xml" title="Habbo: RSS" href="http://www.habbo.it/articles/rss.xml" />
<script src="flashclient/libs2.js" type="text/javascript"></script>

<script src="flashclient/visual.js" type="text/javascript"></script>
<script src="flashclient/libs.js" type="text/javascript"></script>
<script src="flashclient/common.js" type="text/javascript"></script>
<link rel="stylesheet" href="flashclient/style.css" type="text/css" />
<link rel="stylesheet" href="flashclient/bottons.css" type="text/css" />
<link rel="stylesheet" href="flashclient/boxes.css" type="text/css" />
<link rel="stylesheet" href="flashclient/tooltips.css" type="text/css" />
<link rel="stylesheet" href="flashclient/changepassword.css" type="text/css" />


<script type="text/javascript">

</script>
<script type="text/javascript">
var habboReqPath = "";
var habboStaticFilePath = "http://<?php echo siteurl; ?>/web-gallery";
var habboImagerUrl = "http://www.habbo.it/habbo-imaging/";
var habboDefaultClientPopupUrl = "client.php";



</script>



<link rel="stylesheet" href="flashclient/habboclient.css" type="text/css" />
<link rel="stylesheet" href="flashclient/habboflashclient.css" type="text/css" />
<script src="flashclient/habboflashclient.js" type="text/javascript"></script>
<script type="text/javascript" src="./habboflashclient.js"></script>

<script src="./Loader.js" type="text/javascript"></script>

<script type="text/javascript">

    
    if (top == self) {
        FlashHabboClient.cacheCheck();
    }
    var flashvars = {
            "client.allow.cross.domain" : "1", 
            "client.notify.cross.domain" : "0", 
            "connection.info.host" : "95.110.172.86", 
            "connection.info.port" : "30000",
            "site.url" : "http://95.110.172.86/", 
            "url.prefix" : "http://95.110.172.86/", 
            "client.reload.url" : "http://95.110.172.86/404.php", 
            "client.fatal.error.url" : "http://95.110.172.86/404.php", 
	    "client.connection.failed.url" : "http://95.110.172.86/clientutils", 
	    "external.variables.txt" : "http://newcrypto.webnet32.com/DCR/gamedata/external_variables3.txt", 
	    "external.texts.txt" : "http://newcrypto.webnet32.com/DCR/gamedata/external_flash_texts_it2.txt", 
	    "productdata.load.url" : "http://newcrypto.webnet32.com/DCR/gamedata/productdata.txt", 
	    "furnidata.load.url" : "http://newcrypto.webnet32.com/DCR/gamedata/furnidata.txt", 
            "use.sso.ticket" : "1", 
            "sso.ticket" : "<?php echo $ticketrow['sessionticket']; ?>", 
			<?php
            if($forward)
                 {
            echo '"forward.type" : "'.$forward_type.'",';
            echo '"forward.id" : "'.$roomid.'",';
			
                 }
				  
			 if(isset($_GET['friendId']))
				 {
            echo '"friend.id" : "'.mysql_real_escape_string($_GET['friendId']).'",';
			}
            ?>
			"processlog.enabled" : "0", 
            "account_id" : "0", 
			
            "client.starting" : "Attendi, Blue sta caricando.", 
            "flash.client.url" : "http://newcrypto.webnet32.com/DCR/gordon/RELEASE63-201111301255-246708295/Habbo.swf", 
            "user.hash" : "", 
            "has.identity" : "1", 
            "flash.client.origin" : "popup"
    };
    var params = {
        "base" : "http://newcrypto.webnet32.com/DCR/gordon/RELEASE63-201111301255-246708295/",
        "allowScriptAccess" : "always",
        "menu" : "false"                
    };

        if (!(HabbletLoader.needsFlashKbWorkaround())) {
            params["wmode"] = "opaque";
        }

    FlashExternalInterface.signoutUrl = "./logout.php";

    var clientUrl = "http://newcrypto.webnet32.com/DCR/gordon/RELEASE63-201111301255-246708295/Habbo.swf";
    swfobject.embedSWF(clientUrl, "flash-container", "100%", "100%", "10.0.0", "flashclient/expressInstall.swf", flashvars, params);

    window.onbeforeunload = unloading;
    function unloading() {
        var clientObject;
        if (navigator.appName.indexOf("Microsoft") != -1) {
            clientObject = window["flash-container"];
        } else {
            clientObject = document["flash-container"];
        }
        try {
            clientObject.unloading();
        } catch (e) {}
    }
</script>

<meta name="description" content="Habbo Hotel: amici, divertimento, celebrità!" />
<meta name="keywords" content="habbo hotel, virtuale, mondo, social network, gratis, community, avatar, personaggio, chat, online, giovane, ragazzi, gioco di ruolo, giochi di ruolo, iscriviti, social, gruppi, forum, sicurezza, giocare, giochi, online, amici, giovani, rari, furni rari, collezione, creare, collezionare, connettersi, furni, mobili, cuccioli, animali, creazione stanze, condivisione, espressione, distintivi, badge, uscire, musica, VIP, celebrità, visite VIP, famosi, mmo, mmorpg, multiplayer" />




<!--[if IE 8]>
<link rel="stylesheet" href="flashclient/ie8.css" type="text/css" />
<![endif]-->
<!--[if lt IE 8]>
<link rel="stylesheet" href="flashclient/ie.css" type="text/css" />
<![endif]-->
<!--[if lt IE 7]>
<link rel="stylesheet" href="flashclient/ie6.css" type="text/css" />
<script src="flashclient/pngfix.js" type="text/javascript"></script>
<script type="text/javascript">
try { document.execCommand('BackgroundImageCache', false, true); } catch(e) {}
</script>

<style type="text/css">
body { behavior: url(/js/csshover.htc); }
</style>
<![endif]-->
<meta name="build" content="63-BUILD259 - 23.02.2011 23:10 - it" />
</head>

<body id="client" class="flashclient">
<div id="overlay"></div>
<img src="flashclient/page_loader.gif" style="position:absolute; margin: -1500px;" />

<div id="overlay"></div>
<div id="client-ui" >
    <div id="flash-wrapper">

    <div id="flash-container">
        <div id="content" style="width: 400px; margin: 20px auto 0 auto; display: none">
<div class="cbb clearfix">
    <h2 class="title">Aggiorna Flash Player all'ultima versione disponibile</h2>
    <div class="box-content">
            <p>Puoi scaricare e istallare Adobe Flash Player <a href="http://get.adobe.com/flashplayer/">da questa URL</a>. Puoi trovare le istruzioni di istallazione <a href="http://www.adobe.com/products/flashplayer/productinfo/instructions/">cliccando qui</a>.</p>

            <p><a href="http://www.adobe.com/go/getflashplayer"><img src="flashclient/get_flash_player.gif" alt="Get Adobe Flash player" /></a></p>
    </div>
</div>
        </div>
        <script type="text/javascript">
            $('content').show();
        </script>
        <noscript>
            <div style="width: 400px; margin: 20px auto 0 auto; text-align: center">
                <p>If you are not automatically redirected, please <a href="/client/nojs">click here</a></p>
            </div>
        </noscript>
    </div>
    </div>

	<div id="content" class="client-content"></div>            
</div>
    <div style="display: none">
<div id="habboCountUpdateTarget">
4,017 Habbo in Hotel
</div>
	<script language="JavaScript" type="text/javascript">
		setTimeout(function() {
			HabboCounter.init(600);
		}, 20000);
	</script>
    </div>
    <script type="text/javascript">
        RightClick.init("flash-wrapper", "flash-container");
        if (window.opener && window.opener != window && window.opener.location.href == "/") {
            window.opener.location.replace("/me");
        }
        $(document.body).addClassName("js");
       	HabboClient.startPingListener();
    </script>




<script src="http://www.google-analytics.com/ga.js" type="text/javascript"></script>
<script type="text/javascript">
var pageTracker = _gat._getTracker("UA-448325-20");
pageTracker._trackPageview();
</script>



<script type="text/javascript">
    HabboView.run();
</script>

</body>
</html>